Sisimai::SMTP::Command(3pm)

NAME
Sisimai::SMTP::Command - SMTP Command related utilities

SYNOPSIS
    use Sisimai::SMTP::Command;
    Sisimai::SMTP::Command->find('in reply to RCPT TO command');  # RCPT

DESCRIPTION
Sisimai::SMTP::Command is a class for finding the last SMTP command from given error message.

CLASS METHODS

  "test(String)"
test() checks whether an SMTP command is a valid command or not

    print Sisimai::SMTP::Command->test('STARTTLS'); # 1
    print Sisimai::SMTP::Command->test('NEKO');     # 0

  "find(String)"
find() returns the last SMTP command like the following:

    print Sisimai::SMTP::Command->find('MAIL FROM: <> 250 OK RCPT TO: <...> 550');  # "RCPT"

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2022-2023 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.